#include "compare.h"

namespace Compare {

	bool VertexCmp::operator() (const Point3f& v0, const Point3f& v1) const 
	{
		if (std::fabs(v0.x() - v1.x()) <= eps_) {
			if (std::fabs(v0.y() - v1.y()) <= eps_) 
				return (v0.z() < v1.z() - eps_);
			else
				return (v0.y() < v1.y() - eps_);
		} else {
			return (v0.x() < v1.x() - eps_);
		}
	}
}


